## org.apache.poi.xslf.usermodel
Class XSLFFactory

    java.lang.Object
      org.apache.poi.POIXMLFactory
          org.apache.poi.xslf.usermodel.XSLFFactory

    @Beta
    public final class XSLFFactory

extends POIXMLFactory

Instantiates sub-classes of POIXMLDocumentPart depending on their relationship type

Author:
  Yegor Kozlov

Method Summary
`POIXMLDocumentPart` `createDocumentPart(POIXMLDocumentPart parent, PackageRelationship rel, PackagePart part)` Create a POIXMLDocumentPart from existing package part and relation.
`static XSLFFactory` `getInstance()`
`POIXMLDocumentPart` `newDocumentPart(POIXMLRelation descriptor)` Create a new POIXMLDocumentPart using the supplied descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static XSLFFactory getInstance()

### createDocumentPart

    public POIXMLDocumentPart createDocumentPart(POIXMLDocumentPart parent,
                                                 PackageRelationship rel,
                                                 PackagePart part)

  Description copied from class: `POIXMLFactory`
  Create a POIXMLDocumentPart from existing package part and relation. This method is called from `POIXMLDocument.load(POIXMLFactory)` when parsing a document

  Specified by:
    `createDocumentPart` in class `POIXMLFactory`
  Parameters:
    `parent` - parent part
    `rel` - the package part relationship
    `part` - the PackagePart representing the created instance
  Returns:
    A new instance of a POIXMLDocumentPart.

### newDocumentPart

    public POIXMLDocumentPart newDocumentPart(POIXMLRelation descriptor)

  Description copied from class: `POIXMLFactory`
  Create a new POIXMLDocumentPart using the supplied descriptor. This method is used when adding new parts to a document, for example, when adding a sheet to a workbook, slide to a presentation, etc.

  Specified by:
    `newDocumentPart` in class `POIXMLFactory`
  Parameters:
    `descriptor` - describes the object to create
  Returns:
    A new instance of a POIXMLDocumentPart.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.